import request from '@/utils/request'
import config from '@/utils/config'
export function getEquipmentTypes() {
  return request({
    url: config.BASE_URL + '/getEquipmentTypes',
    method: 'get'
  })
}
export function getEquipmentInfos(query) {
  return request({
    url: config.BASE_URL + '/getEquipmentInfos',
    method: 'get',
    params: query
  })
}
export function queryEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/queryEquipmentInfo',
    method: 'POST',
    params: query
  })
}
export function addEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/addEquipmentInfo',
    method: 'POST',
    params: query
  })
}
export function getEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/getEquipmentInfo',
    method: 'get',
    params: query
  })
}
export function checkEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/checkEquipmentInfo',
    method: 'get',
    params: query
  })
}
export function deleteEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/deleteEquipmentInfo',
    method: 'get',
    params: query
  })
}
export function updateEquipmentInfo(query) {
  return request({
    url: config.BASE_URL + '/updateEquipmentInfo',
    method: 'POST',
    params: query
  })
}
export function getEquipmentLogs(query) {
  return request({
    url: config.BASE_URL + '/getEquipmentLogs',
    method: 'POST',
    params: query
  })
}
export function getEquipmentInfoEicode(query) {
  return request({
    url: config.BASE_URL + '/getEquipmentInfoEicode',
    method: 'get',
    params: query
  })
}
export function getEquipmentAmount(query) {
  return request({
    url: config.BASE_URL + '/getEquipmentAmount',
    method: 'get',
    params: query
  })
}
export function addEquipmenteHireHead(query) {
  return request({
    url: config.BASE_URL + '/addEquipmenteHireHead',
    method: 'POST',
    params: query
  })
}
export function checkEquipmentHire(query) {
  return request({
    url: config.BASE_URL + '/checkEquipmentHire',
    method: 'get',
    params: query
  })
}
export function getAllEquipmenteHireHeads(query) {
  return request({
    url: config.BASE_URL + '/getAllEquipmenteHireHeads',
    method: 'get',
    params: query
  })
}
export function queryEquipmenteHireHead(query) {
  return request({
    url: config.BASE_URL + '/queryEquipmenteHireHead',
    method: 'POST',
    params: query
  })
}
export function getEquipmenteHireHead(query) {
  return request({
    url: config.BASE_URL + '/getEquipmenteHireHead',
    method: 'get',
    params: query
  })
}
export function queryEquipmenteHireDetail(query) {
  return request({
    url: config.BASE_URL + '/queryEquipmenteHireDetail',
    method: 'POST',
    params: query
  })
}
export function updateEquipmenteHireHead(query) {
  return request({
    url: config.BASE_URL + '/updateEquipmenteHireHead',
    method: 'POST',
    params: query
  })
}
export function deleteEquipmenteHireHead(query) {
  return request({
    url: config.BASE_URL + '/deleteEquipmenteHireHead',
    method: 'get',
    params: query
  })
}
export function getPayMentSelect(query) {
  return request({
    url: config.BASE_URL + '/getPayMentSelect',
    method: 'get',
    params: query
  })
}
export function getDiscountChannelSelect(query) {
  return request({
    url: config.BASE_URL + '/getDiscountChannelSelect',
    method: 'get',
    params: query
  })
}
export function insertCustomerPay(query) {
  return request({
    url: config.BASE_URL + '/insertCustomerPay',
    method: 'POST',
    params: query
  })
}
export function selectCustomerPay(query) {
  return request({
    url: config.BASE_URL + '/selectCustomerPay',
    method: 'get',
    params: query
  })
}
export function insertEquipmentReturn(query) {
  return request({
    url: config.BASE_URL + '/insertEquipmentReturn',
    method: 'POST',
    params: query
  })
}
export function selectEquipmentReturn(query) {
  return request({
    url: config.BASE_URL + '/selectEquipmentReturn',
    method: 'get',
    params: query
  })
}
export function equipmentActive(query) {
  return request({
    url: config.BASE_URL + '/equipmentActive',
    method: 'POST',
    params: query
  })
}
export function checkEqEmcode(query) {
  return request({
    url: config.BASE_URL + '/checkEqEmcode',
    method: 'get',
    params: query
  })
}
